Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.font.effects
Class FilterEffect

    java.lang.Object
      org.newdawn.slick.font.effects.FilterEffect

All Implemented Interfaces:
  Effect

    public class FilterEffect

extends java.lang.Object
implements Effect

Applys a `BufferedImageOp` filter to glyphs. Many filters can be found here: http://www.jhlabs.com/ip/filters/index.html

Author:
  Nathan Sweet

Constructor Summary
`FilterEffect()` Default constructor for injection
`FilterEffect(java.awt.image.BufferedImageOp filter)` Create a new filtering effect based on a convolution operation

Method Summary
`void` | `draw(java.awt.image.BufferedImage image, java.awt.Graphics2D g, UnicodeFont unicodeFont, Glyph glyph)` Called to draw the effect.
`java.awt.image.BufferedImageOp` | `getFilter()` Get the filter being applied by this effect
`void` | `setFilter(java.awt.image.BufferedImageOp filter)` Set the filter being applied by this effect

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterEffect

    public FilterEffect()

  Default constructor for injection

### FilterEffect

    public FilterEffect(java.awt.image.BufferedImageOp filter)

  Create a new filtering effect based on a convolution operation

  Parameters:
    `filter` - The filter to apply

Method Detail

### draw

    public void draw(java.awt.image.BufferedImage image,
                     java.awt.Graphics2D g,
                     UnicodeFont unicodeFont,
                     Glyph glyph)

  Description copied from interface: `Effect`
  Called to draw the effect.

  Specified by:
    `draw` in interface `Effect`
  Parameters:
    `image` - The image to draw into
    `g` - The graphics context to use for applying the effect
    `unicodeFont` - The font being rendered
    `glyph` - The particular glyph being rendered
  See Also:
    `Effect.draw(java.awt.image.BufferedImage, java.awt.Graphics2D, org.newdawn.slick.UnicodeFont, org.newdawn.slick.font.Glyph)`

### getFilter

    public java.awt.image.BufferedImageOp getFilter()

  Get the filter being applied by this effect

  Returns:
    The filter being applied by this effect

### setFilter

    public void setFilter(java.awt.image.BufferedImageOp filter)

  Set the filter being applied by this effect

  Parameters:
    `filter` - The filter being used by this effect

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.